## visad.data.mcidas
Class PointDataAdapter

    java.lang.Object
      visad.data.mcidas.PointDataAdapter

public class PointDataAdapter
extends Object

A class for adapting the results of an ADDE point data request into a VisAD Data object.

Field Summary
`(package private) FieldImpl` `field`
`(package private) edu.wisc.ssec.mcidas.adde.AddePointDataReader` `reader`

Constructor Summary
`PointDataAdapter(String addePointRequest)` Construct a PointDataAdapter using the adde request passed as a string.
`PointDataAdapter(String addePointRequest, boolean useAliases)` Construct a PointDataAdapter using the adde request passed as a string.

Method Summary
`DataImpl` `getData()` Get the VisAD Data object that represents the output from the request.
`static void` `main(String[] args)` test with 'java visad.data.mcidas.PointDataAdapter args'

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### reader

    edu.wisc.ssec.mcidas.adde.AddePointDataReader reader

### field

    FieldImpl field

Constructor Detail

### PointDataAdapter

    public PointDataAdapter(String addePointRequest)
                     throws VisADException

  Construct a PointDataAdapter using the adde request passed as a string. This will take the data returned from the request and turn it into VisAD Data objects that can be returned by the getData() call.

Parameters:
  `addePointRequest` - - string representing the ADDE request
Throws:
  `VisADException` - bad request, no data available, VisAD error
See Also:
  `getData()`

### PointDataAdapter

    public PointDataAdapter(String addePointRequest,
                            boolean useAliases)
                     throws VisADException

  Construct a PointDataAdapter using the adde request passed as a string. This will take the data returned from the request and turn it into VisAD Data objects that can be returned by the getData() call.

Parameters:
  `addePointRequest` - - string representing the ADDE request
  `useAliases` - - for quantities like Latitude, Longitude,etc alias the RealTypes to the original McIDAS variable name.
Throws:
  `VisADException` - bad request, no data available, VisAD error
See Also:
  `getData()`

Method Detail

### getData

    public DataImpl getData()

  Get the VisAD Data object that represents the output from the request.

  Returns:
    requested data. The format is a FieldImpl of (obnum -> (tuple of parameters)

### main

    public static void main(String[] args)
                     throws Exception

  test with 'java visad.data.mcidas.PointDataAdapter args'

  Parameters:
    `args` - ADDE point data request
  Throws:
    `Exception`